Package org.apache.lucene.analysis.ja.tokenattributes

# Class InflectionAttributeImpl

java.lang.Object
org.apache.lucene.util.AttributeImpl
org.apache.lucene.analysis.ja.tokenattributes.InflectionAttributeImpl

All Implemented Interfaces:
  `Cloneable`, `InflectionAttribute`, `Attribute`

public class InflectionAttributeImpl extends AttributeImpl implements InflectionAttribute
Attribute for Kuromoji inflection data.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InflectionAttributeImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `void`
  `copyTo(AttributeImpl target)`
  `String`
  `getInflectionForm()`
  `String`
  `getInflectionType()`
  `void`
  `reflectWith(AttributeReflector reflector)`
  `void`
  `setToken(Token token)`

  ### Methods inherited from class org.apache.lucene.util.AttributeImpl

  `clone, end, reflectAsString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InflectionAttributeImpl

    public InflectionAttributeImpl()

- ## Method Details

  - ### getInflectionType

    public String getInflectionType()
    Specified by:
      `getInflectionType` in interface `InflectionAttribute`

  - ### getInflectionForm

    public String getInflectionForm()
    Specified by:
      `getInflectionForm` in interface `InflectionAttribute`

  - ### setToken

    public void setToken(Token token)
    Specified by:
      `setToken` in interface `InflectionAttribute`

  - ### clear

    public void clear()
    Specified by:
      `clear` in class `AttributeImpl`

  - ### copyTo

    public void copyTo(AttributeImpl target)
    Specified by:
      `copyTo` in class `AttributeImpl`

  - ### reflectWith

    public void reflectWith(AttributeReflector reflector)
    Specified by:
      `reflectWith` in class `AttributeImpl`